org.apache.datasketches.pig.tuple

## Class DoubleSummarySketchToPercentile

- java.lang.Object
- - org.apache.pig.EvalFunc<Double>
  - - org.apache.datasketches.pig.tuple.DoubleSummarySketchToPercentile

    public class DoubleSummarySketchToPercentile
    extends org.apache.pig.EvalFunc<Double>

This UDF is to get a percentile value from a Sketch<DoubleSummary>. The values from DoubleSummary objects in the sketch are extracted, and a single value with the given rank is returned. The rank is in percent. For example, 50th percentile is the median value of the distribution (the number separating the higher half of a probability distribution from the lower half).

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`DoubleSummarySketchToPercentile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `exec(org.apache.pig.data.Tuple input)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleSummarySketchToPercentile

    public DoubleSummarySketchToPercentile()

### Method Detail

#### exec

    public Double exec(org.apache.pig.data.Tuple input)
                throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<Double>`
Throws:
  `IOException`